@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
critical_section.h File Reference
`#include "pico.h"`
`#include "pico/lock_core.h"`
Include dependency graph for critical_section.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | critical_section

## Typedefs

typedef struct __packed_aligned critical_section | critical_section_t

## Functions

void | critical_section_init (critical_section_t *crit_sec)
| Initialise a critical_section structure allowing the system to assign a spin lock number.
void | critical_section_init_with_lock_num (critical_section_t *crit_sec, uint lock_num)
| Initialise a critical_section structure assigning a specific spin lock number.
static __force_inline void | critical_section_enter_blocking (critical_section_t *crit_sec)
| Enter a critical_section.
static __force_inline void | critical_section_exit (critical_section_t *crit_sec)
| Release a critical_section.
void | critical_section_deinit (critical_section_t *crit_sec)
| De-Initialise a critical_section created by the critical_section_init method.
static bool | critical_section_is_initialized (critical_section_t *crit_sec)
| Test whether a critical_section has been initialized.